Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.secure.internal
Class JACCPreInsertEventListener

    java.lang.Object
      org.hibernate.secure.internal.JACCPreInsertEventListener

All Implemented Interfaces:
  Serializable, PreInsertEventListener, JACCSecurityListener

    public class JACCPreInsertEventListener

extends Object
implements PreInsertEventListener, JACCSecurityListener

Check security before an insertion

See Also:
  Serialized Form

Constructor Summary
`JACCPreInsertEventListener(String contextId)`

Method Summary
`boolean` | `onPreInsert(PreInsertEvent event)` Return true if the operation should be vetoed

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JACCPreInsertEventListener

    public JACCPreInsertEventListener(String contextId)

Method Detail

### onPreInsert

    public boolean onPreInsert(PreInsertEvent event)

  Description copied from interface: `PreInsertEventListener`
  Return true if the operation should be vetoed

  Specified by:
    `onPreInsert` in interface `PreInsertEventListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.